From: Herbert Poetzl (herbert_at_13thfloor.at)
Date: Mon 07 Mar 2005 - 20:31:04 GMT
Hi Enrico!
please consider the following patch (or something similar)
for the next release ...
it allows latest and greatest linux-vserver kernels to run
with the legacy code disabled (not the network legacy stuff)
without any noticeable changes ...
best,
Herbert
diff -NurpP --minimal /usr/src/util-vserver-0.30.204/scripts/chcontext `which chcontext`
--- /usr/src/util-vserver-0.30.204/scripts/chcontext 2004-09-07 16:36:06.000000000 -0400
+++ /usr/sbin/chcontext 2005-03-07 22:00:06.000000000 -0500
@@ -164,9 +164,16 @@ migrate_cmd=( $_VCONTEXT
IFS=$old_IFS
-"${create_cmd[@]}" "${chain_cmd[@]}" -- \
- "${migrate_cmd[@]}" --endsetup --migrate-self -- "$@"
-rc=$?
+XID=${OPT_CTX:--1}
+DYNAMIC=49152
+
+if test $XID -gt 1 -o $XID -eq -1; then
+ "${create_cmd[@]}" "${chain_cmd[@]}" -- \
+ "${migrate_cmd[@]}" --endsetup --migrate-self -- "$@"
+ rc=$?
+else
+ rc=254
+fi
test "$rc" -ne 254 || exec "${migrate_cmd[@]}" --xid "$OPT_CTX" --migrate -- "$@"
exit $rc
_______________________________________________
Vserver mailing list
Vserver_at_list.linux-vserver.org
http://list.linux-vserver.org/mailman/listinfo/vserver